*::-webkit-scrollbar {
  width: 10px;
  height: 19px;
  background: none;
}

*::-webkit-scrollbar-thumb,*::-webkit-scrollbar-button {
  width: 16px;
  height: 16px;
  background: #98bafe;
  box-shadow: inset 1px 1px #cddcdc, inset -1px -1px #4567ba;
  border: 1px solid;
  border-color: #98bafe #000 #000 #98bafe;
}

*::-webkit-scrollbar-track {
  image-rendering: optimizeSpeed;
  image-rendering: pixelated;
  image-rendering: optimize-contrast;
  background: #233289;
  background-position: 0 0;
  background-repeat: repeat;
  background-size: 2px;
}

*::-webkit-scrollbar-button {
  background-repeat: no-repeat;
  background-size: 16px;
}

*::-webkit-scrollbar-button:single-button:vertical:decrement {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgLTAuNSAxNiAxNiIgc2hhcGUtcmVuZGVyaW5nPSJjcmlzcEVkZ2VzIj4KPG1ldGFkYXRhPk1hZGUgd2l0aCBQaXhlbHMgdG8gU3ZnIGh0dHBzOi8vY29kZXBlbi5pby9zaHNoYXcvcGVuL1hieHZOajwvbWV0YWRhdGE+CjxwYXRoIHN0cm9rZT0iIzAwMDAwMCIgZD0iTTcgNWgxTTYgNmgzTTUgN2g1TTQgOGg3IiAvPgo8L3N2Zz4=");
}

*::-webkit-scrollbar-button:single-button:vertical:increment {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgLTAuNSAxNiAxNiIgc2hhcGUtcmVuZGVyaW5nPSJjcmlzcEVkZ2VzIj4KPG1ldGFkYXRhPk1hZGUgd2l0aCBQaXhlbHMgdG8gU3ZnIGh0dHBzOi8vY29kZXBlbi5pby9zaHNoYXcvcGVuL1hieHZOajwvbWV0YWRhdGE+CjxwYXRoIHN0cm9rZT0iIzAwMDAwMCIgZD0iTTQgNWg3TTUgNmg1TTYgN2gzTTcgOGgxIiAvPgo8L3N2Zz4=");
}

*::-webkit-scrollbar-button:single-button:horizontal:decrement {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgLTAuNSAxNiAxNiIgc2hhcGUtcmVuZGVyaW5nPSJjcmlzcEVkZ2VzIj4KPG1ldGFkYXRhPk1hZGUgd2l0aCBQaXhlbHMgdG8gU3ZnIGh0dHBzOi8vY29kZXBlbi5pby9zaHNoYXcvcGVuL1hieHZOajwvbWV0YWRhdGE+CjxwYXRoIHN0cm9rZT0iIzAwMDAwMCIgZD0iTTggM2gxTTcgNGgyTTYgNWgzTTUgNmg0TTYgN2gzTTcgOGgyTTggOWgxIiAvPgo8L3N2Zz4=");
}

*::-webkit-scrollbar-button:single-button:horizontal:increment {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgLTAuNSAxNiAxNiIgc2hhcGUtcmVuZGVyaW5nPSJjcmlzcEVkZ2VzIj4KPG1ldGFkYXRhPk1hZGUgd2l0aCBQaXhlbHMgdG8gU3ZnIGh0dHBzOi8vY29kZXBlbi5pby9zaHNoYXcvcGVuL1hieHZOajwvbWV0YWRhdGE+CjxwYXRoIHN0cm9rZT0iIzAwMDAwMCIgZD0iTTYgM2gxTTYgNGgyTTYgNWgzTTYgNmg0TTYgN2gzTTYgOGgyTTYgOWgxIiAvPgo8L3N2Zz4=");
}

*::-webkit-scrollbar-corner {
  background: #98bafe;
}


/* Change colors and fonts here */
 @font-face
{
font-family: "m5x7";
src: url('https://file.garden/aLtvvP6iRk0keL9N/Fonts/Px437_DOS-V_re_ANK30.ttf');
}
    
@font-face
{
font-family: "pc-9800";
src: url('https://file.garden/aLtvvP6iRk0keL9N/Fonts/Px437_DOS-V_re_ANK19.ttf');
}

#scroll {
         max-height: 300px;
    width: 500px;
    padding: 0px;
    overflow-y: hidden;
          display: block;
    margin: auto;
        image-rendering: pixelated;
    border: 10px solid;
            border-image: url("https://file.garden/aLtvvP6iRk0keL9N/Muse%20Source/FramedBox1.1.png") 
    7 fill round !important; 
    border-width: 14px !important; 
    overflow-y: scroll;
   }
::selection {
  /* (Text highlighted by the user) */
  background: #333344;
}


audio{
  width:450px;
  height:25px; /* Fixed height */
  padding: 10px;
  padding: 0px;
  background: transparent;
  border: 5px solid;
  border-image: url("https://file.garden/aLtvvP6iRk0keL9N/Muse%20Source/box1.png") 
7 fill round !important; 
border-width: 10px !important; 
opacity: darken;
}


:root {
    --burgericon:url(/assets/burger.svg); /* Path to burger vector */
    --closeicon:url(/assets/close.svg); /* Path to close vector */

    /* FONTS */
    --bodyfont: "pc-9800";
    --headerfont: "m5x7";

    

    /* COLORS */

    --background:#010101; /*Main background color*/
    --color:#cddcdc; /*Body text color*/

    --header:#010101; /*Header background color*/

    /* CONTENT COLORS */
    --mainbg: #FFF; /*Content background color*/
    --linkcolor: #237645; /*Body link color*/
    --linkhover: #98ba23; /*Body link hover color*/

    --borders: #98bafe; /*Border for header 1*/

    --formbg:#011032; /*Background for text boxes/dropdown menus*/
    --formcolor:#4567ba; /*Color for text boxes/dropdown menus*/
    --buttonbg:#011032; /*Background for submit buttons*/
    --buttoncolor:#237645; /*Color for submit buttons*/

    /* MENU COLORS */
    --navcolor:#cd9876; /*Menu text color*/
    --navbg:#FFF; /*Menu background color*/

    --navtextlink:#237645; /*Sidebar text link color*/
    --navtexthover:#98ba23; /*Sidebar text link hover*/

    --navlink: #4567ba; /*Menu link color*/
    --navlinkbg: #011032; /*Menu link background*/
    --navhover: #ab0110; /*Menu link hover color*/
    --navhoverbg: #451001; /*Menu link hover background*/

    --burger:#cddcdc; /*Color for hamburger menu text/icons*/
    --overlay:rgb(0,0,0,0.3); /*Color for overlay when hamburger menu is open*/
    
    /* FOOTER COLORS */
    --footercolor:#cddcdc; /*Footer text color*/
    --footerbg:#FFF; /*Footer background color*/

    --footerlink:#ab0110; /*Footer link color*/
    --footerhover:#cd9876; /*Footer background color*/
}

* { margin:0; padding:0; text-decoration:none;}
img {
    max-width:95%;
    margin:5px;
}


body {
    font:19px var(--bodyfont);
    color:var(--color);
    background:var(--background);
    image-rendering: pixelated;
}

/* Header styling */

header {
    width:100%;
    height:160px; /* You can change the height */
    background: url(https://file.garden/aLtvvP6iRk0keL9N/Muse%20Source/backgroundforwebsite.png) no-repeat center var(--header); /*The url field is where you add a header image*/
    background-size: contain;
    margin-bottom:5px;
}

/* Container styling */

#container {
    width:95%;
    max-width:1000px;
    margin:auto;
    padding:1px;
}

/* Wrapper for columns */

#columns {
    display:flex;
    flex-wrap:wrap;
}

/* Content styling */

main {
    width:calc(60% - 15px);
    padding:5px;
    background:var(--mainbg);
    margin:5px 10px 5px 10px;
     border: 10px solid;
            border-image: url("https://file.garden/aLtvvP6iRk0keL9N/Muse%20Source/StarFrameBox1.png") 
    7 fill round !important; 
    border-width: 14px !important; 
    overflow-y: scroll;
}

main h1 {
    font:42px var(--headerfont);
    border-bottom:1px solid var(--borders);
}

main h2 {
    font:32px var(--headerfont);
    margin:5px 0 5px 0;
}

main h3 {
    font:28px var(--headerfont);
}

/* Paragraphs and links */
.menu mark{
display:block;
    background: #4567ba;
    color: #010101;
    margin:0px 0px 2px 0px;
    padding:2px;

}

p {
    padding:10px;
    margin:10px 0px 10px 0px;
    font-size: 19px;
}


details > summary {
    list-style-type: "► ";
    font: 19px var(--bodyfont);
}

details[open] > summary {
    list-style-type: "▼ ";
}

details {
    border: 10px solid;
            border-image: url("https://file.garden/aLtvvP6iRk0keL9N/Muse%20Source/FramedBox1.1.png") 
    7 fill round !important; 
    border-width: 14px !important; 
    overflow-y: scroll;
    padding: 0.5rem;
}

details[open] > summary {
    margin-bottom: 0.5rem;
}


main li::marker {
  content: "► "; /* Use a string with your desired symbol, emoji, or text */
  color: #98ba23; /* Change the marker color */
  font-size: 1.2em; /* Adjust the marker size */
}
main a {
    color:var(--linkcolor);
    text-decoration:underline;
}

main a:hover {
    color:var(--linkhover);
    text-decoration:none;
}

main details {
    padding:10px;
    background:var(--details);
    margin:5px;
}

/* Form elements */

main input, textarea, select {
    color:var(--formcolor);
    background:var(--formbg);
    font:1rem var(--bodyfont);
    border:1px solid;
    padding:5px;
}

button {
    color:var(--buttoncolor);
    background:var(--buttonbg);
    font:1rem var(--bodyfont);
    border:1px solid;
    padding:5px;
}


/* Lists */

main ul, ol { 
    list-style-position:outside;
    margin:5px 0 5px 30px;
}

main li {
    margin:7px 0 7px 0;
    line-height:1.5;
}

main li a {
    text-decoration:none;
}


/* Styling for the sidebars */

.menu {
    padding:5px;
    background: transparent;
    width: 140px;
    font-size: 19px;
    border: 1px solid;
            border-image: url("https://file.garden/aLtvvP6iRk0keL9N/Muse%20Source/redFramedBox1.1.png") 
    7 fill round !important; 
    border-width: 14px !important; 
}

.menu section {
    margin-bottom:10px;
}


.menu .text p {
    color:var(--navcolor);
    margin:5px 0px 5px 0px;
    line-height:1.4;
    font-size:19px;

}

.menu .text a {
    color:var(--navtextlink);
    text-decoration:none;
}

.menu .text a:hover {
    color:var(--navtexthover);
    text-decoration:underline;
}

.menu ul {
    list-style:none;
    margin:0;
}

.menu li a {
    display:block;
    background:var(--navlinkbg);
    color:var(--navlink);
    margin:0px 0px 2px 0px;
    text-decoration:none;
    padding:2px;
}

.menu li a:hover {
    background:var(--navhoverbg);
    color:var(--navhover);
    text-decoration:none;
}

.menu h2 {
    font:32px var(--headerfont);
    color:var(--navcolor);
}
.menu h3 {
    font:24px var(--headerfont);
    color: #ba7654;
}

/* Footer styling */

footer {
    height: 60px;
    padding:1px;
    text-align:center;
    margin:10px 0px 0px 0px;
    border: 10px solid;
            border-image: url("https://file.garden/aLtvvP6iRk0keL9N/Muse%20Source/FramedBox1.1.png") 
    7 fill round !important; 
    border-width: 14px !important; 
    background:var(--footerbg);
    color:var(--footercolor);
    font-size:19px;
    line-height:0;
}

footer a {
    color:var(--footerlink);
    text-decoration:underline;
}

footer a:hover {
    color:var(--footerhover);
    text-decoration:none;
}

/* Hamburger menu */

#burger {
    display:none;
    width:100%;
    position:fixed;
    top:0;
}

#burger summary {
    list-style-type: none;
    cursor: pointer;
    display:flex;
    align-items:center;
    color:var(--burger);
    padding:5px;
    background:var(--background);
}

#burger summary::before, #burger[open]>summary::before {
    height:40px;
    width:40px;
    background:var(--burger);
}

#burger summary::-webkit-details-marker {
    display: none;
}

#burger summary::before {
    content: '';
    mask-image:var(--burgericon);
    -webkit-mask-image:var(--burgericon);
    mask-size:40px;
    -webkit-mask-size:40px;
}

#burger[open]>summary::before {
    content: '';
    mask-image:var(--closeicon);
    -webkit-mask-image:var(--closeicon);
    mask-size:40px;
    -webkit-mask-size:40px;
}

#burger[open] {
    position:fixed;
    background:var(--overlay);
}

.skip a {
    position:absolute;
    left:-10000px;
    top:auto;
    width:1px;
    height:1px;
    overflow:hidden;
}
 
.skip a:focus {
    position:static;
    width:auto;
    height:auto;
}

#burger-menu {
    height:calc(100vh - 70px);
    overflow:auto;
    z-index:1000;
    background:var(--navbg);
    width:200px;
}

/* Accessibility stuff */

#skip a {
    position:absolute;
    display:inline-block;
    left:0px;
    top:-1000px;
    overflow:hidden;
    transition:top 0.5s ease;
    background:var(--mainbg);
    color:var(--link);
    z-index:1100;
    padding:5px;
}
 
#skip a:focus {
    top: 0;
    transition:top 0.5s ease;
}

.desktopmenulink { display:inline; }
.mobilemenulink { display:none; }

@media screen and (max-width: 799px) {
    #container {
        width:calc(100 - 20px);
        margin-top:50px;
    }
    
    #columns {
        display:block;
    }
    
    main {
        margin:auto;
        width:calc(100% - 30px);
    }
    
    #left {
        display:none;
    }
    
    #burger {
        display:block;
    }
    
    #right {
        display:grid;
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
        grid-gap:5px;
        width:calc(100% - 20px);
        margin-top:10px;
    }

    .desktopmenulink { display:none; }
    .mobilemenulink { display:inline; }
}

